"use strict";
/**
 * 使用样式事件
 */
define(function (require, exports, module) {

    function handle(e) {
        const ctx = require("../../common/ctx");
        const utils = require("../../common/utils");

        let event = utils.ParseEvent(e);
        let curEl = utils.GetEventTarget(event);
        let curId = curEl.getAttribute("id");
        if (curId === "my_fontSize0") {
            localStorage.clear();
            location.reload();
            return
        } else if (curId === "my_fontSize+") {
            ctx.editFrontSize++;
        } else {
            ctx.editFrontSize--;
        }

        //触发resize
        let resizeImp = require("./RSizeEventImpl");
        resizeImp.refreshEditFrontSize();

        //保存在本地
        localStorage.setItem('editFrontSize', ctx.editFrontSize);
    }

    //导出
    exports.handle = handle;
});